Type to search.

Update agent policy by ID

Base URL
https://{kibana_url}
Auth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

agentPolicyId string required

Query parameters

format enum

Simplified or legacy format for package inputs

Values: simplified legacy

Header parameters

kbn-xsrf string required

Kibana's anti Cross-Site Request Forgery token. Can be any string value.

Request body

data_output_id string nullable
description string
download_source_id string nullable
fleet_server_host_id string nullable
force boolean

Force agent policy creation even if packages are not verified.

global_data_tags (string to number | string)[]
inactivity_timeout integer
is_protected boolean
monitoring_enabled enum[]
Values: metrics logs
monitoring_output_id string nullable
name string required
namespace string required
unenroll_timeout integer

Responses

OK

application/json
item object required
advanced_settings object nullable

Advanced settings stored in the agent policy, e.g. agent_limits_go_max_procs

agents number
data_output_id string nullable
description string
download_source_id string nullable
fleet_server_host_id string nullable
global_data_tags (string to number | string)[]
id string required
inactivity_timeout integer
is_protected boolean

Indicates whether the agent policy has tamper protection enabled. Default false.

keep_monitoring_alive boolean nullable

When set to true, monitoring will be enabled but logs/metrics collection will be disabled

monitoring_enabled enum[]
Values: metrics logs
monitoring_output_id string nullable
monitoring_pprof_enabled boolean
name string required
namespace string required
overrides object nullable

Override settings that are defined in the agent policy. Input settings cannot be overridden. The override option should be used only in unusual circumstances and not as a routine procedure.

revision number
supports_agentless boolean

Indicates whether the agent policy supports agentless integrations. Only allowed in a serverless environment.

unenroll_timeout integer
unprivileged_agents number
updated_by string
updated_on string · format: date-time